<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<body>

<h1>YUV Display Modes</h1>

<p>Imageviewer has three different modes to display frames.</p>

<h2>Colour Display Mode</h2>

<p>Colour display mode will display a colour image if there is colour information in
the source data. Some formats, such as PGM are always monochrome. Colour matrixing and
numerical range scaling can be adjusted via the 'View' menu.</p>

<h2>Luminance Only Display Mode</h2>

<p>Luminance only mode sets the chrominance contribution to zero during colour matrixing
and always results in a monochrome image generated only from luminance data.</p>

<h2>Planar Display Mode</h2>

<p>Planar display mode generates a tiled image from the frame components
allowing them to be examined individually. An example of planar mode is given below.</p><br>

<img src="images/planarview.png" border="0" alt="">

<p>For YUV files, planar view always places the luminance component at the top of the view.
For 4:2:2, 4:2:0 and 4:1:1 chrominance subsampling, the colour components are placed
below the luminance, with Cb to the left and Cr to the right. A 4:4:4 YUV file will be
displayed with the three components stacked vertically, in the order Y, Cb, Cr</p>

<p>RGB format source files are displayed as three equally sized components stacked
vertically in the order R,G,B.</p>

</body>
</html>